import MESSAGE_ENUM from '@/uilts/messageCenter/iframe/messageEnum'
import messageCenter from '@/uilts/messageCenter/iframe'

// 做任务
const doTask = {
    createTweet({ iframeId, tweetId }, overTime) {
        return new Promise((res, rej) => {
            messageCenter.send({
                info: {
                    actionType: MESSAGE_ENUM.IFRAME_DO_TASK_CREATE_TWEET,
                    iframeId: iframeId //用于告诉父窗口会传消息给哪个iframe
                },
                data: {
                    tweetId
                },
                overTime,
                callback: (data) => {
                    res(data);
                },
                failback: (e) => {
                    rej(e)
                }
            })
        })
    },

    like({ iframeId, tweetId }, overTime) {
        return new Promise((res, rej) => {
            messageCenter.send({
                info: {
                    actionType: MESSAGE_ENUM.IFRAME_DO_TASK_LIKE,
                    iframeId: iframeId //用于告诉父窗口会传消息给哪个iframe
                },
                data: {
                    tweetId,
                },
                overTime,
                callback: (data) => {
                    res(data);
                },
                failback: (e) => {
                    rej(e)
                }
            })
        })
    }
}

export default doTask

// iframe > dom id 
// iframe > createTweet  dom id 